"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.find = exports.DEFAULT_BACKING_TYPES_GLOB = void 0;
const fs_1 = require("../fs");
const nexus_logger_1 = require("../nexus-logger");
const log = nexus_logger_1.rootLogger.child('backingTypes');
exports.DEFAULT_BACKING_TYPES_GLOB = `./**/*.ts`;
async function find(pattern, opts) {
    const files = await fs_1.findFiles(pattern !== null && pattern !== void 0 ? pattern : exports.DEFAULT_BACKING_TYPES_GLOB, opts);
    log.trace('backing-types files to extract from', {
        files,
        cwd: opts === null || opts === void 0 ? void 0 : opts.cwd,
    });
    return files;
}
exports.find = find;
//# sourceMappingURL=find.js.map